Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.xs
Class XSElementDecl

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.xs.XSElementDecl

public class XSElementDecl
extends java.lang.Object
implements weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration

The XML representation for an element declaration schema component is an element information item

Field Summary
`short` | `fBlock`
`ValidatedInfo` | `fDefault`
`short` | `fFinal`
`java.lang.String` | `fName`
`short` | `fScope`
`XSElementDecl` | `fSubGroup`
`java.lang.String` | `fTargetNamespace`
`XSTypeDecl` | `fType`
`static short` | `SCOPE_ABSENT`
`static short` | `SCOPE_GLOBAL`
`static short` | `SCOPE_LOCAL`

Constructor Summary
`XSElementDecl()`

Method Summary
`void` | `addIDConstaint(weblogic.apache.xerces.impl.xs.identity.IdentityConstraint idc)`
`boolean` | `equals(java.lang.Object o)` whether two decls are the same
`weblogic.apache.xerces.impl.xs.psvi.XSAnnotation` | `getAnnotation()` Optional.
`short` | `getConstraintType()` A value constraint: one of default, fixed.
`java.lang.String` | `getConstraintValue()` A value constraint: The actual value (with respect to the {type definition})
`short` | `getDisallowedSubstitutions()` The supplied values for {disallowed substitutions}
`weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition` | `getEnclosingCTDefinition()` Locally scoped declarations are available for use only within the complex type definition identified by the `scope` property.
`weblogic.apache.xerces.impl.xs.identity.IdentityConstraint[]` | `getIDConstraints()`
`weblogic.apache.xerces.impl.xs.psvi.XSNamedMap` | `getIdentityConstraints()` {identity-constraint definitions} A set of constraint definitions.
`boolean` | `getIsAbstract()` {abstract} A boolean.
`boolean` | `getIsDisallowedSubstition(short disallowed)` Convenience method.
`boolean` | `getIsNillable()` If {nillable} is true, then an element may also be valid if it carries the namespace qualified attribute with [local name] nil from namespace http://www.w3.org/2001/XMLSchema-instance and value true (see xsi:nil (2.6.2)) even if it has no text or element content despite a {content type} which would otherwise require content.
`boolean` | `getIsSubstitutionGroupExclusion(short exclusion)` Convenience method.
`java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`short` | `getScope()` Optional.
`weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration` | `getSubstitutionGroupAffiliation()` {substitution group affiliation} Optional.
`short` | `getSubstitutionGroupExclusions()` Specifies if this declaration can be nominated as the {substitution group affiliation} of other element declarations having the same {type definition} or types derived therefrom.
`short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.
`weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition` | `getTypeDefinition()` Either a simple type definition or a complex type definition.
`int` | `hashCode()` get the hash code
`void` | `reset()` Reset current element declaration
`void` | `setConstraintType(short constraintType)`
`void` | `setIsAbstract()`
`void` | `setIsGlobal()`
`void` | `setIsLocal(XSComplexTypeDecl enclosingCT)`
`void` | `setIsNillable()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SCOPE_ABSENT

    public static final short SCOPE_ABSENT

### SCOPE_GLOBAL

    public static final short SCOPE_GLOBAL

### SCOPE_LOCAL

    public static final short SCOPE_LOCAL

### fName

    public java.lang.String fName

### fTargetNamespace

    public java.lang.String fTargetNamespace

### fType

    public XSTypeDecl fType

### fScope

    public short fScope

### fBlock

    public short fBlock

### fFinal

    public short fFinal

### fDefault

    public ValidatedInfo fDefault

### fSubGroup

    public XSElementDecl fSubGroup

Constructor Detail

### XSElementDecl

    public XSElementDecl()

Method Detail

### setConstraintType

    public void setConstraintType(short constraintType)

### setIsNillable

    public void setIsNillable()

### setIsAbstract

    public void setIsAbstract()

### setIsGlobal

    public void setIsGlobal()

### setIsLocal

    public void setIsLocal(XSComplexTypeDecl enclosingCT)

### addIDConstaint

    public void addIDConstaint(weblogic.apache.xerces.impl.xs.identity.IdentityConstraint idc)

### getIDConstraints

    public weblogic.apache.xerces.impl.xs.identity.IdentityConstraint[] getIDConstraints()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### hashCode

    public int hashCode()

  get the hash code

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object o)

  whether two decls are the same

  Overrides:
    equals in class java.lang.Object

### reset

    public void reset()

  Reset current element declaration

### getType

    public short getType()

  Get the type of the object, i.e ELEMENT_DECLARATION.

### getName

    public java.lang.String getName()

  The `name` of this `XSObject` depending on the `XSObject` type.

### getNamespace

    public java.lang.String getNamespace()

  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

### getTypeDefinition

    public weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition getTypeDefinition()

  Either a simple type definition or a complex type definition.
  Specified by:
    getTypeDefinition in interface weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration

### getScope

    public short getScope()

  Optional. Either global or a complex type definition ( `ctDefinition`). This property is absent in the case of declarations within named model groups: their scope will be determined when they are used in the construction of complex type definitions.
  Specified by:
    getScope in interface weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration

### getEnclosingCTDefinition

    public weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition getEnclosingCTDefinition()

  Locally scoped declarations are available for use only within the complex type definition identified by the `scope` property.
  Specified by:
    getEnclosingCTDefinition in interface weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration

### getConstraintType

    public short getConstraintType()

  A value constraint: one of default, fixed.
  Specified by:
    getConstraintType in interface weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration

### getConstraintValue

    public java.lang.String getConstraintValue()

  A value constraint: The actual value (with respect to the {type definition})
  Specified by:
    getConstraintValue in interface weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration

### getIsNillable

    public boolean getIsNillable()

  If {nillable} is true, then an element may also be valid if it carries the namespace qualified attribute with [local name] nil from namespace http://www.w3.org/2001/XMLSchema-instance and value true (see xsi:nil (2.6.2)) even if it has no text or element content despite a {content type} which would otherwise require content.
  Specified by:
    getIsNillable in interface weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration

### getIdentityConstraints

    public weblogic.apache.xerces.impl.xs.psvi.XSNamedMap getIdentityConstraints()

  {identity-constraint definitions} A set of constraint definitions.
  Specified by:
    getIdentityConstraints in interface weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration

### getSubstitutionGroupAffiliation

    public weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration getSubstitutionGroupAffiliation()

  {substitution group affiliation} Optional. A top-level element definition.
  Specified by:
    getSubstitutionGroupAffiliation in interface weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration

### getIsSubstitutionGroupExclusion

    public boolean getIsSubstitutionGroupExclusion(short exclusion)

  Convenience method. Check if `exclusion` is a substitution group exclusion for this element declaration.
  Specified by:
    getIsSubstitutionGroupExclusion in interface weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration

  Parameters:
    `exclusion` - Extension, restriction or none. Represents final set for the element.
  Returns:
    True if `exclusion` is a part of the substitution group exclusion subset.

### getSubstitutionGroupExclusions

    public short getSubstitutionGroupExclusions()

  Specifies if this declaration can be nominated as the {substitution group affiliation} of other element declarations having the same {type definition} or types derived therefrom.
  Specified by:
    getSubstitutionGroupExclusions in interface weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration

  Returns:
    A bit flag representing {extension, restriction} or NONE.

### getIsDisallowedSubstition

    public boolean getIsDisallowedSubstition(short disallowed)

  Convenience method. Check if `disallowed` is a disallowed substitution for this element declaration.
  Specified by:
    getIsDisallowedSubstition in interface weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration

  Parameters:
    `disallowed` - Substitution, extension, restriction or none. Represents a block set for the element.
  Returns:
    True if `disallowed` is a part of the substitution group exclusion subset.

### getDisallowedSubstitutions

    public short getDisallowedSubstitutions()

  The supplied values for {disallowed substitutions}
  Specified by:
    getDisallowedSubstitutions in interface weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration

  Returns:
    A bit flag representing {substitution, extension, restriction} or NONE.

### getIsAbstract

    public boolean getIsAbstract()

  {abstract} A boolean.
  Specified by:
    getIsAbstract in interface weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration

### getAnnotation

    public weblogic.apache.xerces.impl.xs.psvi.XSAnnotation getAnnotation()

  Optional. Annotation.
  Specified by:
    getAnnotation in interface weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD